textures/killingicy/stratosphere
{
    qer_editorImage env/killingicy/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/killingicy/stratosphere - -
}

textures/killingicy/stratosphere_hollow
{
    qer_editorImage env/killingicy/stratosphere_ft.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/killingicy/stratosphere - -
}

textures/killingicy/tile00
{
    q3map_lightImage textures/killingicy/tile00.tga
    qer_editorImage textures/killingicy/qer_tile00_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile00_sl
{
    qer_editorImage textures/killingicy/tile00.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile00_icy
{
    q3map_lightImage textures/killingicy/tile00.tga
    qer_editorImage textures/killingicy/qer_tile00_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile00_sm
{
    q3map_lightImage textures/killingicy/tile00_sm.tga
    qer_editorImage textures/killingicy/qer_tile00_sm_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile00_sm_sl
{
    qer_editorImage textures/killingicy/tile00_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile00_med_sl
{
    qer_editorImage textures/killingicy/tile00_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile00_med.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile00_hollow
{
    qer_editorImage textures/killingicy/tile00.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile00_hollow_icy
{
    q3map_lightImage textures/killingicy/tile00.tga
    qer_editorImage textures/killingicy/qer_tile00_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile01
{
    q3map_lightImage textures/killingicy/tile01.tga
    qer_editorImage textures/killingicy/qer_tile01_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile01_sl
{
    qer_editorImage textures/killingicy/tile01.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile01_icy
{
    q3map_lightImage textures/killingicy/tile01.tga
    qer_editorImage textures/killingicy/qer_tile01_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile01_hollow
{
    qer_editorImage textures/killingicy/tile01.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile01_hollow_icy
{
    q3map_lightImage textures/killingicy/tile01.tga
    qer_editorImage textures/killingicy/qer_tile01_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile02
{
    q3map_lightImage textures/killingicy/tile02.tga
    qer_editorImage textures/killingicy/qer_tile02_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile02_sl
{
    qer_editorImage textures/killingicy/tile02.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile02_icy
{
    q3map_lightImage textures/killingicy/tile02.tga
    qer_editorImage textures/killingicy/qer_tile02_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile02_hollow
{
    qer_editorImage textures/killingicy/tile02.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile02_hollow_icy
{
    q3map_lightImage textures/killingicy/tile02.tga
    qer_editorImage textures/killingicy/qer_tile02_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile03
{
    q3map_lightImage textures/killingicy/tile03.tga
    qer_editorImage textures/killingicy/qer_tile03_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile03_sl
{
    qer_editorImage textures/killingicy/tile03.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile03_icy
{
    q3map_lightImage textures/killingicy/tile03.tga
    qer_editorImage textures/killingicy/qer_tile03_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile03_hollow
{
    qer_editorImage textures/killingicy/tile03.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile03_hollow_icy
{
    q3map_lightImage textures/killingicy/tile03.tga
    qer_editorImage textures/killingicy/qer_tile03_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile04
{
    q3map_lightImage textures/killingicy/tile04.tga
    qer_editorImage textures/killingicy/qer_tile04_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile04_sl
{
    qer_editorImage textures/killingicy/tile04.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile04_icy
{
    q3map_lightImage textures/killingicy/tile04.tga
    qer_editorImage textures/killingicy/qer_tile04_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile04.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile05
{
    q3map_lightImage textures/killingicy/tile05.tga
    qer_editorImage textures/killingicy/qer_tile05_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile05_sl
{
    qer_editorImage textures/killingicy/tile05.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile05_icy
{
    q3map_lightImage textures/killingicy/tile05.tga
    qer_editorImage textures/killingicy/qer_tile05_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile05.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile05_hollow
{
    qer_editorImage textures/killingicy/tile05.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile06
{
    q3map_lightImage textures/killingicy/tile06.tga
    qer_editorImage textures/killingicy/qer_tile06_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile06_sl
{
    qer_editorImage textures/killingicy/tile06.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile06_icy
{
    q3map_lightImage textures/killingicy/tile06.tga
    qer_editorImage textures/killingicy/qer_tile06_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile06.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile07
{
    q3map_lightImage textures/killingicy/tile07.tga
    qer_editorImage textures/killingicy/qer_tile07_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile07_sl
{
    qer_editorImage textures/killingicy/tile07.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile07_icy
{
    q3map_lightImage textures/killingicy/tile07.tga
    qer_editorImage textures/killingicy/qer_tile07_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile07.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile07_hollow
{
    qer_editorImage textures/killingicy/tile07.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile08
{
    q3map_lightImage textures/killingicy/tile08.tga
    qer_editorImage textures/killingicy/qer_tile08_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile08_sl
{
    qer_editorImage textures/killingicy/tile08.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile08_icy
{
    q3map_lightImage textures/killingicy/tile08.tga
    qer_editorImage textures/killingicy/qer_tile08_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile08.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile08_hollow
{
    qer_editorImage textures/killingicy/tile08.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile09
{
    q3map_lightImage textures/killingicy/tile09.tga
    qer_editorImage textures/killingicy/qer_tile09_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile09_sl
{
    qer_editorImage textures/killingicy/tile09.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile09_icy
{
    q3map_lightImage textures/killingicy/tile09.tga
    qer_editorImage textures/killingicy/qer_tile09_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile09.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile09_hollow
{
    qer_editorImage textures/killingicy/tile09.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile10
{
    q3map_lightImage textures/killingicy/tile10.tga
    qer_editorImage textures/killingicy/qer_tile10_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile10_sl
{
    qer_editorImage textures/killingicy/tile10.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile10_icy
{
    q3map_lightImage textures/killingicy/tile10.tga
    qer_editorImage textures/killingicy/qer_tile10_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile10.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile11
{
    q3map_lightImage textures/killingicy/tile11.tga
    qer_editorImage textures/killingicy/qer_tile11_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile11_sl
{
    qer_editorImage textures/killingicy/tile11.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile11_icy
{
    q3map_lightImage textures/killingicy/tile11.tga
    qer_editorImage textures/killingicy/qer_tile11_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile11.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile11_hollow
{
    qer_editorImage textures/killingicy/tile11.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile12
{
    q3map_lightImage textures/killingicy/tile12.tga
    qer_editorImage textures/killingicy/qer_tile12_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile12_sl
{
    qer_editorImage textures/killingicy/tile12.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile12_icy
{
    q3map_lightImage textures/killingicy/tile12.tga
    qer_editorImage textures/killingicy/qer_tile12_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile12.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile13
{
    q3map_lightImage textures/killingicy/tile13.tga
    qer_editorImage textures/killingicy/qer_tile13_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile13_sl
{
    qer_editorImage textures/killingicy/tile13.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile13_hollow
{
    qer_editorImage textures/killingicy/tile13.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile14
{
    q3map_lightImage textures/killingicy/tile14.tga
    qer_editorImage textures/killingicy/qer_tile14_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile14_sl
{
    qer_editorImage textures/killingicy/tile14.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile14_icy
{
    q3map_lightImage textures/killingicy/tile14.tga
    qer_editorImage textures/killingicy/qer_tile14_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile14.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile14_hollow
{
    qer_editorImage textures/killingicy/tile14.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile15
{
    q3map_lightImage textures/killingicy/tile15.tga
    qer_editorImage textures/killingicy/qer_tile15_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile15_sl
{
    qer_editorImage textures/killingicy/tile15.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile15_hollow
{
    qer_editorImage textures/killingicy/tile15.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile16
{
    q3map_lightImage textures/killingicy/tile16.tga
    qer_editorImage textures/killingicy/qer_tile16_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile16_sl
{
    qer_editorImage textures/killingicy/tile16.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile16_icy
{
    q3map_lightImage textures/killingicy/tile16.tga
    qer_editorImage textures/killingicy/qer_tile16_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile16.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile17
{
    q3map_lightImage textures/killingicy/tile17.tga
    qer_editorImage textures/killingicy/qer_tile17_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile17_sl
{
    qer_editorImage textures/killingicy/tile17.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile17_icy
{
    q3map_lightImage textures/killingicy/tile17.tga
    qer_editorImage textures/killingicy/qer_tile17_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile17.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile17_hollow
{
    qer_editorImage textures/killingicy/tile17.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile18
{
    q3map_lightImage textures/killingicy/tile18.tga
    qer_editorImage textures/killingicy/qer_tile18_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile18_sl
{
    qer_editorImage textures/killingicy/tile18.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile18_icy
{
    q3map_lightImage textures/killingicy/tile18.tga
    qer_editorImage textures/killingicy/qer_tile18_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile18.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile19
{
    q3map_lightImage textures/killingicy/tile19.tga
    qer_editorImage textures/killingicy/qer_tile19_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile19_sl
{
    qer_editorImage textures/killingicy/tile19.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile19_icy
{
    q3map_lightImage textures/killingicy/tile19.tga
    qer_editorImage textures/killingicy/qer_tile19_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile19.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile19_hollow
{
    qer_editorImage textures/killingicy/tile19.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile20
{
    q3map_lightImage textures/killingicy/tile20.tga
    qer_editorImage textures/killingicy/qer_tile20_tr.tga
    surfaceparm nodamage
    {
        map textures/killingicy/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile20_sl
{
    qer_editorImage textures/killingicy/tile20.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/tile20_icy
{
    q3map_lightImage textures/killingicy/tile20.tga
    qer_editorImage textures/killingicy/qer_tile20_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/tile20.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/tile20_hollow
{
    qer_editorImage textures/killingicy/tile20.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/light
{
    qer_editorImage textures/killingicy/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/killingicy/light.tga
    }
}

textures/killingicy/flashing_light
{
    qer_editorImage textures/killingicy/lightred.tga
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/killingicy/lightred.tga
        rgbGen wave sin 0.6 0.4 0 0.7
    }
}

textures/killingicy/flashing_button
{
    qer_editorImage textures/killingicy/lightred.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_killingicy/red.tga
        blendFunc filter
    }
    {
        map textures/killingicy/lightred.tga
        blendFunc add
        rgbGen wave square 0.20 0.20 0 2.3
    }
}

textures/killingicy/depressed_button
{
    qer_editorImage textures/killingicy/lightorange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_killingicy/orange.tga
        blendFunc filter
    }
    {
        map textures/killingicy/lightorange.tga
        blendFunc add
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/killingicy/ladder
{
    qer_editorImage textures/killingicy/redwood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map textures/killingicy/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/wood
{
    qer_editorImage textures/killingicy/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/killingicy/wood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/barrier
{
    qer_editorImage textures/killingicy/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/killingicy/barrier.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/barrier_sl
{
    qer_editorImage textures/killingicy/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/walljump
{
    qer_editorImage textures/killingicy/walljump.tga
    surfaceparm nodamage
    {
        map textures/killingicy/walljump.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/glass_clear
{
    q3map_lightImage textures/_killingicy/glass_radiosity.tga
    qer_editorImage textures/killingicy/qer_clear.tga
    qer_trans 0.5
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_killingicy/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/killingicy/glass_clear_tr
{
    q3map_lightImage textures/_killingicy/glass_radiosity.tga
    qer_editorImage textures/killingicy/qer_clear.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_killingicy/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/killingicy/glass_transparent
{
    q3map_lightImage textures/_killingicy/glass_radiosity.tga
    qer_editorImage textures/killingicy/qer_clear.tga
    qer_trans 0.3
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_killingicy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/killingicy/glass_transparent_tr
{
    q3map_lightImage textures/_killingicy/glass_radiosity.tga
    qer_editorImage textures/killingicy/qer_clear.tga
    qer_trans 0.4
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_killingicy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/killingicy/glass_transparent2
{
    q3map_lightImage textures/_killingicy/glass_radiosity.tga
    qer_editorImage textures/killingicy/qer_clear.tga
    qer_trans 0.1
    q3map_bounceScale 0.02
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_killingicy/q3a_glass_transparent2.tga
        blendFunc add
        tcGen environment
    }
}

// Note that this is virtually the same as
// textures/ramb_common/slickclearfiller.
textures/killingicy/clear
{
    qer_editorImage textures/killingicy/qer_clear.tga
    qer_trans 0.1
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm nodraw
    surfaceparm trans
}

textures/killingicy/filler
{
    qer_editorImage textures/killingicy/qer_filler.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/killingicy/filler_sl
{
    qer_editorImage textures/killingicy/qer_filler.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/killingicy/filler_wood
{
    qer_editorImage textures/killingicy/qer_filler_wood.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/killingicy/filler_glass
{
    qer_editorImage textures/killingicy/qer_filler_glass.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/killingicy/portal
{
    qer_editorImage textures/killingicy/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
//    cull disable
    {
        map textures/killingicy/portal.tga
        tcMod scroll 0 1
    }
}

textures/killingicy/portal_solid
{
    qer_editorImage textures/killingicy/portal.tga
    surfaceparm nodamage
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/killingicy/portal.tga
        tcMod scale 0.6 0.6
        tcMod rotate 15
        tcMod scroll 0.25 0.25
    }
}

textures/killingicy/portal_trans
{
    qer_editorImage textures/killingicy/portal.tga
    qer_trans 0.4
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/portal.tga
        blendFunc blend
        alphaGen const 0.65
        tcMod scroll 0 1
    }
}

textures/killingicy/portal_lemming
{
    qer_editorImage textures/killingicy/portal.tga
    surfaceparm slick
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/killingicy/portal.tga
    }
}

textures/killingicy/white
{
    qer_editorImage textures/killingicy/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/white_icy
{
    q3map_lightImage textures/killingicy/white.tga
    qer_editorImage textures/killingicy/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/white_hollow
{
    qer_editorImage textures/killingicy/white.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/white_hollow_icy
{
    q3map_lightImage textures/killingicy/white.tga
    qer_editorImage textures/killingicy/qer_white_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/gray
{
    qer_editorImage textures/killingicy/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/gray_icy
{
    q3map_lightImage textures/killingicy/gray.tga
    qer_editorImage textures/killingicy/qer_gray_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/killingicy/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/gray_hollow
{
    qer_editorImage textures/killingicy/gray.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/gray_hollow_icy
{
    q3map_lightImage textures/killingicy/gray.tga
    qer_editorImage textures/killingicy/qer_gray_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/killingicy/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_killingicy/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/killingicy/black
{
    qer_editorImage textures/killingicy/black.tga
    {
        map textures/killingicy/black.tga
    }
}

textures/killingicy/black_sl
{
    qer_editorImage textures/killingicy/black.tga
    surfaceparm slick
    {
        map textures/killingicy/black.tga
    }
}

textures/killingicy/black_hollow
{
    qer_editorImage textures/killingicy/black.tga
    qer_trans 0.7`
    surfaceparm nonsolid
    {
        map textures/killingicy/black.tga
    }
}

textures/killingicy/icy_jumps_v
{
    qer_editorImage textures/killingicy/icy_jumps_v.tga
    polygonOffset
    {
        map textures/killingicy/icy_jumps_v.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1

    }
}

textures/killingicy/quake3
{
    qer_editorImage textures/killingicy/quake3.tga
    polygonOffset
    {
        map textures/killingicy/quake3.tga
        blendFunc blend
        alphaGen const 1
//        alphaGen wave sin 0.5 0.5 0 1.2
    }
}

textures/killingicy/exit
{
    qer_editorImage textures/killingicy/exit.tga
    polygonOffset
    {
        map textures/killingicy/exit.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/killingicy/teh_end
{
    qer_editorImage textures/killingicy/teh_end.tga
    polygonOffset
    {
        map textures/killingicy/teh_end.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/killingicy/telekinetic
{
    qer_editorImage textures/killingicy/qer_telekinetic.tga
    polygonOffset
    {
        map textures/_killingicy/telekinetic.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/jackass
{
    qer_editorImage textures/killingicy/qer_jackass.tga
    polygonOffset
    {
        map textures/_killingicy/jackass.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/this_way
{
    qer_editorImage textures/killingicy/qer_this_way.tga
    polygonOffset
    {
        map textures/_killingicy/this_way.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/no_kevlar
{
    qer_editorImage textures/killingicy/qer_no_kevlar.tga
    polygonOffset
    {
        map textures/_killingicy/no_kevlar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/arrow
{
    qer_editorImage textures/killingicy/qer_arrow.tga
    polygonOffset
    {
        map textures/_killingicy/arrow.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/air_time
{
    qer_editorImage textures/killingicy/qer_air_time.tga
    polygonOffset
    {
        map textures/_killingicy/air_time.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/got_leet
{
    qer_editorImage textures/killingicy/qer_got_leet.tga
    polygonOffset
    {
        map textures/_killingicy/got_leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/speedway
{
    qer_editorImage textures/killingicy/qer_speedway.tga
    polygonOffset
    {
        map textures/_killingicy/speedway.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/tile_trans
{
    qer_editorImage textures/killingicy/tile_trans.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/killingicy/tile_trans.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/killingicy/tile_trans_lt
{
    qer_editorImage textures/killingicy/tile_trans_lt.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/killingicy/tile_trans_lt.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/killingicy/tile_trans_color
{
    qer_editorImage textures/killingicy/tile_trans_color.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/killingicy/tile_trans_color.tga
        blendFunc blend
        alphaGen const 0.6
    }
}

textures/killingicy/tile_trans_hollow
{
    qer_editorImage textures/killingicy/tile_trans_hollow.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/killingicy/tile_trans_hollow.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/killingicy/rambetter
{
    qer_editorImage textures/killingicy/qer_rambetter.tga
    polygonOffset
    {
        map textures/_killingicy/rambetter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/rambetter_avatar
{
    qer_editorImage textures/killingicy/rambetter_avatar.tga
    polygonOffset
    {
        map textures/killingicy/rambetter_avatar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/leet
{
    qer_editorImage textures/killingicy/leet.tga
    polygonOffset
    {
        map textures/killingicy/leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/blood
{
    qer_editorImage textures/killingicy/trem_blood.tga
    polygonOffset
    {
        map textures/killingicy/trem_blood.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/titanium
{
    qer_editorImage textures/killingicy/qer_titanium.tga
    polygonOffset
    {
        map textures/_killingicy/titanium.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/quzer
{
    qer_editorImage textures/killingicy/qer_quzer.tga
    polygonOffset
    {
        map textures/_killingicy/quzer.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/velo_sport
{
    qer_editorImage textures/killingicy/qer_velo_sport.tga
    polygonOffset
    {
        map textures/_killingicy/velo_sport.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/are_noob
{
    qer_editorImage textures/killingicy/are_noob.tga
    polygonOffset
    {
        map textures/killingicy/are_noob.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/killingicy/wuz_here
{
    qer_editorImage textures/killingicy/wuz_here.tga
    polygonOffset
    {
        map textures/killingicy/wuz_here.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/nooby_novelty
{
    qer_editorImage textures/killingicy/qer_nooby_novelty.tga
    polygonOffset
    {
        map textures/_killingicy/nooby_novelty.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/caution
{
    qer_editorImage textures/killingicy/caution.tga
    polygonOffset
    {
        map textures/killingicy/caution.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}

textures/killingicy/slow
{
    qer_editorImage textures/killingicy/slow.tga
    polygonOffset
    {
        map textures/killingicy/slow.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0.5 1
        alphaGen const 1
    }
}

textures/killingicy/speed_limit
{
    qer_editorImage textures/killingicy/speed_limit.tga
    polygonOffset
    {
        map textures/killingicy/speed_limit.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}


textures/killingicy/beastie
{
    qer_editorImage textures/killingicy/beastie.tga
    polygonOffset
    {
        map textures/killingicy/beastie.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/tux
{
    qer_editorImage textures/killingicy/tux.tga
    polygonOffset
    {
        map textures/killingicy/tux.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/vytis
{
    qer_editorImage textures/killingicy/vytis.tga
    polygonOffset
    {
        map textures/killingicy/vytis.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/1234kc_logo
{
    qer_editorImage textures/killingicy/1234kc_logo.tga
    polygonOffset
    {
        map textures/killingicy/1234kc_logo.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/noob_finish
{
    qer_editorImage textures/killingicy/qer_noob_finish.tga
    polygonOffset
    {
        map textures/_killingicy/noob_finish.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/no_nooby_access
{
    qer_editorImage textures/killingicy/no_nooby_access.tga
    polygonOffset
    {
        map textures/killingicy/no_nooby_access.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/mario
{
    qer_editorImage textures/killingicy/mario.tga
    polygonOffset
    {
        map textures/killingicy/mario.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/bowser
{
    qer_editorImage textures/killingicy/bowser.tga
    polygonOffset
    {
        map textures/killingicy/bowser.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/mariosprite
{
    qer_editorImage textures/killingicy/mariosprite.tga
    polygonOffset
    {
        map textures/killingicy/mariosprite.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/mushroom
{
    qer_editorImage textures/killingicy/mushroom.tga
    polygonOffset
    {
        map textures/killingicy/mushroom.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/hot_chicks
{
    qer_editorImage textures/killingicy/hot_chicks.tga
    polygonOffset
    {
        map textures/killingicy/hot_chicks.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/chick_zone
{
    qer_editorImage textures/killingicy/chick_zone.tga
    polygonOffset
    {
        map textures/killingicy/chick_zone.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/noob_filter
{
    qer_editorImage textures/killingicy/qer_noob_filter.tga
    polygonOffset
    {
        map textures/_killingicy/noob_filter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/nooby_maze
{
    qer_editorImage textures/killingicy/qer_nooby_maze.tga
    polygonOffset
    {
        map textures/_killingicy/nooby_maze.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/mario_fun_thing
{
    qer_editorImage textures/killingicy/qer_mario_fun_thing.tga
    polygonOffset
    {
        map textures/_killingicy/mario_fun_thing.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/please_wait
{
    qer_editorImage textures/killingicy/qer_please_wait.tga
    polygonOffset
    {
        map textures/_killingicy/please_wait.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/killingicy/daffy
{
    qer_editorImage textures/killingicy/daffy.jpg
    surfaceparm detail
    {
        map textures/killingicy/daffy.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}



textures/killingicy/chicky1
{
    qer_editorImage textures/killingicy/chicky1.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/killingicy/chicky1.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/chicky2
{
    qer_editorImage textures/killingicy/chicky2.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/killingicy/chicky2.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/chicky3
{
    qer_editorImage textures/killingicy/chicky3.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/killingicy/chicky3.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/laetitia
{
    qer_editorImage textures/killingicy/laetitia.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/killingicy/laetitia.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/megan
{
    qer_editorImage textures/killingicy/megan.jpg
    surfaceparm detail
    {
        map textures/killingicy/megan.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/anna
{
    qer_editorImage textures/killingicy/anna.jpg
    surfaceparm detail
    {
        map textures/killingicy/anna.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/looking_glass
{
    qer_editorImage textures/killingicy/qer_looking_glass.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_killingicy/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_killingicy/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/killingicy/lava
{
    qer_editorImage textures/killingicy/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_killingicy/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_killingicy/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/killingicy/lava_brighter
{
    qer_editorImage textures/killingicy/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 490
    q3map_tessSize 96
    cull disable
    {
        map textures/_killingicy/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_killingicy/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/killingicy/lava_bright
{
    qer_editorImage textures/killingicy/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    q3map_tessSize 96
    cull disable
    {
        map textures/_killingicy/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_killingicy/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/killingicy/lavacaulk
{
    qer_editorImage textures/killingicy/qer_lava.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/killingicy/lavafog
{
    qer_editorImage textures/killingicy/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}

textures/killingicy/adobe_wall
{
    qer_editorImage textures/killingicy/adobe_wall.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/killingicy/adobe_wall.jpg
        blendFunc filter
    }
}

textures/killingicy/lava_room_walls
{
    qer_editorImage textures/killingicy/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/killingicy/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/lava_room_walls_hl
{
    qer_editorImage textures/killingicy/lava_room_walls.jpg
    qer_trans 0.50
    surfaceparm nonsolid    
    {
        map textures/killingicy/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/lava_room_walls_med
{
    qer_editorImage textures/killingicy/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/killingicy/lava_room_walls.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/lava_room_walls_sm
{
    qer_editorImage textures/killingicy/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/killingicy/lava_room_walls.jpg
        tcMod scale 1.5 1.5
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/lava_room_walls_noscale
{
    qer_editorImage textures/killingicy/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/killingicy/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/darkceil
{
    qer_editorImage textures/killingicy/darkceil.jpg
    {
        map textures/killingicy/darkceil.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }

}

textures/killingicy/darkfloor
{
    qer_editorImage textures/killingicy/darkfloor.jpg
    {
        map textures/killingicy/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/darkfloor_soft
{
    q3map_lightImage textures/killingicy/darkfloor.jpg
    qer_editorImage textures/killingicy/qer_darkfloor_soft.jpg
    surfaceparm nodamage
    {
        map textures/killingicy/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/darkfloor_hl
{
    qer_editorImage textures/killingicy/darkfloor.jpg
    qer_trans 0.50
    surfaceparm nonsolid
    {
        map textures/killingicy/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/deathfog
{
    qer_editorImage textures/killingicy/black.tga
    qer_trans 0.3
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 1024
}

textures/killingicy/deathfogthick
{
    qer_editorImage textures/killingicy/black.tga
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 400
}

textures/killingicy/mirror
{
    qer_editorImage textures/killingicy/qer_mirror.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
//    surfaceparm detail
    {
        map textures/_killingicy/mirror.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_killingicy/q3a_sfx_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/killingicy/tileclip
{
    qer_editorImage textures/killingicy/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm slick
    cull back
    {
        map textures/killingicy/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.15 0.04 0 1
    }
}

textures/killingicy/green_tile_glow_med
{
    qer_editorImage textures/killingicy/green_tile_glow_med.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/killingicy/green_tile_glow_med.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/killingicy/laddercaulk
{
    qer_editorImage textures/killingicy/qer_laddercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm ladder
}

textures/killingicy/lum_faint
{
    qer_editorImage textures/killingicy/white.tga
    qer_trans 0.4
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 5
    q3map_tessSize 96
    q3map_lightImage textures/killingicy/white.tga
}

textures/killingicy/lum_dim
{
    qer_editorImage textures/killingicy/white.tga
    qer_trans 0.6
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 15
    q3map_tessSize 96
    q3map_lightImage textures/killingicy/white.tga
}

textures/killingicy/lum
{
    qer_editorImage textures/killingicy/white.tga
    qer_trans 0.8
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 45
    q3map_tessSize 96
    q3map_lightImage textures/killingicy/white.tga
}

textures/killingicy/lum_none
{
    qer_editorImage textures/killingicy/white.tga
    qer_trans 0.2
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 0
    q3map_tessSize 96
    q3map_lightImage textures/killingicy/white.tga
}

textures/killingicy/blue_glow
{
    qer_editorImage textures/killingicy/qer_blue_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_killingicy/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.40 0.10 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/killingicy/red_glow
{
    qer_editorImage textures/killingicy/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 70
    q3map_tessSize 64
    cull disable
    {
        map textures/_killingicy/red_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.35 0.15 0 1
    }
}

textures/killingicy/redwood
{
    qer_editorImage textures/killingicy/redwood.jpg
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/killingicy/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/killingicy/glass_dark
{
    qer_editorImage textures/killingicy/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_killingicy/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/killingicy/ps3
{
    qer_editorImage textures/killingicy/ps3.tga
    polygonOffset
    {
        map textures/killingicy/ps3.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/killingicy/uber_leet
{
    qer_editorImage textures/killingicy/uber_leet.tga
    polygonOffset
    {
        map textures/killingicy/uber_leet.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 1.6
        alphaGen const 1
    }
}

textures/killingicy/principle01
{
    qer_editorImage textures/killingicy/principle01.tga
    {
        map textures/killingicy/principle01.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle01.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle02
{
    qer_editorImage textures/killingicy/principle02.tga
    {
        map textures/killingicy/principle02.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle02.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle03
{
    qer_editorImage textures/killingicy/principle03.tga
    {
        map textures/killingicy/principle03.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle03.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle04
{
    qer_editorImage textures/killingicy/principle04.tga
    {
        map textures/killingicy/principle04.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle04.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle05
{
    qer_editorImage textures/killingicy/principle05.tga
    {
        map textures/killingicy/principle05.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle05.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle06
{
    qer_editorImage textures/killingicy/principle06.tga
    {
        map textures/killingicy/principle06.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle06.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle07
{
    qer_editorImage textures/killingicy/principle07.tga
    {
        map textures/killingicy/principle07.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle07.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle08
{
    qer_editorImage textures/killingicy/principle08.tga
    {
        map textures/killingicy/principle08.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle08.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle09
{
    qer_editorImage textures/killingicy/principle09.tga
    {
        map textures/killingicy/principle09.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle09.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle10
{
    qer_editorImage textures/killingicy/principle10.tga
    {
        map textures/killingicy/principle10.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle10.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/killingicy/principle11
{
    qer_editorImage textures/killingicy/principle11.tga
    {
        map textures/killingicy/principle11.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/killingicy/principle11.tga
        alphaGen vertex
        blendFunc blend
    }
}


