textures/ralf_common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/ralf_common/caulk
{
	surfaceparm nodraw
      surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ralf_common/hollowcaulk
{
    qer_editorImage textures/ralf_common/caulk.jpg
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
}

textures/ralf_common/playerclip
{
	qer_trans 0.40
	surfaceparm slick
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
}
textures/ralf_common/playerclip_tr
{
	qer_editorImage textures/ralf_common/playerclip
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
}

textures/ralf_common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/ralf_common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/ralf_common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/ralf_common/fullclip 
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/ralf_common/hint 
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/ralf_common/invisible
{
	surfaceparm nolightmap			
        {
                map textures/ralf_common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/ralf_common/mirror
{
	qer_editorimage textures/ralf_common/mirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/ralf_common/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

textures/ralf_common/mirror2
{
	qer_editorimage textures/ralf_common/mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ralf_common/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
            map textures/sfx/mirror.tga
	      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}

textures/ralf_common/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/ralf_common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/ralf_common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/ralf_common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}


textures/ralf_common/noimpact
{
	qer_editorimage textures/ralf_common/nolightmap.tga
	surfaceparm noimpact
}

textures/ralf_common/nolightmap
{
	surfaceparm nolightmap
}

textures/ralf_common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/ralf_common/portal
{
	qer_editorimage textures/ralf_common/portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ralf_common/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/ralf_common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/ralf_common/terrain
{
	q3map_terrain
	surfaceparm nodraw
      surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ralf_common/terrain2
{
	q3map_terrain
	qer_editorimage textures/ralf_common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/ralf_common/portal
{
	qer_editorimage textures/ralf_common/portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/ralf_common/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}

textures/ralf_common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ralf_common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ralf_common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/ralf_common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/ralf_common/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

textures/ralf_common/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ralf_common/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ralf_common/lavacaulk
{
    qer_editorimage textures/ralf_common/lavacaulk.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/ralf_common/ladder
{
        qer_editorimage textures/ralf_common/ladder.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/ralf_common/whiteglass
{
    q3map_lightimage textures/ralf_common_text/glass_radiosity.tga
    qer_editorimage textures/ralf_common/whiteglass.tga
    qer_trans 0.5
    q3map_bouncescale 0.4
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/ralf_common_text/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/ralf_common/darkglass
{
	qer_editorimage textures/ralf_common/darkglass.tga
	qer_trans .5
     q3map_bouncescale 0.4
     surfaceparm nolightmap
     surfaceparm detail
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
     surfaceparm trans
     cull disable
	{
		map textures/ralf_common_text/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/ralf_common/lightbeam
{
  qer_editorimage textures/ralf_common/lightbeam.tga
        q3map_lightimagetextures/ralf_common_text/light_beam_c.tga
        q3map_surfacelight 80
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm noimpact
        surfaceparm nolightmap
        //qer_trans .9
        cull none
        surfaceparm nomipmaps
        {
                map textures/ralf_common_text/light_beam_1.tga
    rgbGen const ( 0.01 0.01 0.01 )
                tcMod Scroll .1 0
                blendFunc add
        }
}

textures/ralf_common/darkfog
{
	qer_editorimage textures/ralf_common/darkfog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0 ) 350
	q3map_bouncescale 0
}

textures/ralf_common/whitefog
{
	qer_editorimage textures/ralf_common/whitefog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 255 255 255 ) 350
	q3map_bouncescale 0
}

textures/ralf_common/camera
{
    qer_editorImage textures/ralf_common/camera.jpg
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/ralf_common_text/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/ralf_common_text/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}
textures/ralf_common/lavafog
{
    qer_editorImage textures/ralf_common/lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}
textures/ralf_common/waterfog
{
    qer_editorImage textures/ralf_common/waterfog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.035 0.071 0.078 ) 1200
}
